Restart of nova-compute service fails

Bug #1526734 reported by Marian Horban on 2015-12-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Xuanzhou Perry Dong
oslo.service
Undecided
Unassigned

Bug Description

After sending HUP signal to nova-compute process we can observe trace in logs:

2015-11-30 10:35:26.509 INFO oslo_service.service [req-ecb7f866-b041-4abb-9037-164443b8387f None None] Caught SIGHUP, exiting
2015-11-30 10:35:31.894 DEBUG oslo_concurrency.lockutils [req-ecb7f866-b041-4abb-9037-164443b8387f None None] Acquired semaphore "singleton_lock" from (pid=24742) lock /usr/local/lib/python2.7/dist-packages/oslo_concurrency/lockutils.py:212
2015-11-30 10:35:31.900 DEBUG oslo_concurrency.lockutils [req-ecb7f866-b041-4abb-9037-164443b8387f None None] Releasing semaphore "singleton_lock" from (pid=24742) lock /usr/local/lib/python2.7/dist-packages/oslo_concurrency/lockutils.py:225
2015-11-30 10:35:31.903 ERROR nova.service [req-ecb7f866-b041-4abb-9037-164443b8387f None None] Service error occurred during cleanup_host
2015-11-30 10:35:31.903 TRACE nova.service Traceback (most recent call last):
2015-11-30 10:35:31.903 TRACE nova.service File "/opt/stack/nova/nova/service.py", line 312, in stop
2015-11-30 10:35:31.903 TRACE nova.service self.manager.cleanup_host()
2015-11-30 10:35:31.903 TRACE nova.service File "/opt/stack/nova/nova/compute/manager.py", line 1323, in cleanup_host
2015-11-30 10:35:31.903 TRACE nova.service self.instance_events.cancel_all_events()
2015-11-30 10:35:31.903 TRACE nova.service File "/opt/stack/nova/nova/compute/manager.py", line 578, in cancel_all_events
2015-11-30 10:35:31.903 TRACE nova.service for instance_uuid, events in our_events.items():
2015-11-30 10:35:31.903 TRACE nova.service AttributeError: 'NoneType' object has no attribute 'items'
2015-11-30 10:35:31.903 TRACE nova.service

Marian Horban (mhorban) wrote :

Method service.stop() is called twice during restart of service started with ServiceLauncher.

Changed in nova:
assignee: nobody → Marian Horban (mhorban)
Changed in oslo.service:
assignee: nobody → Marian Horban (mhorban)

Fix proposed to branch: master
Review: https://review.openstack.org/258441

Changed in nova:
status: New → In Progress
Marian Horban (mhorban) on 2015-12-17
Changed in oslo.service:
status: New → In Progress
Changed in oslo.service:
status: In Progress → Triaged
Changed in nova:
status: In Progress → Triaged
stgleb (gstepanov) wrote :

I've found that nova compute handles SIGHUP properly, but if you send one more - it stops compute service.

So there's nothing more to do. right? :)

Changed in nova:
status: Triaged → Incomplete
Changed in oslo.service:
status: Triaged → Incomplete
Sean Dague (sdague) wrote :

https://review.openstack.org/#/c/258441/4 is stalled on merge conflict and not having any tests. That's needed for this to be completed.

Changed in nova:
status: Incomplete → Fix Released
status: Fix Released → Confirmed

Change abandoned by Michael Still (<email address hidden>) on branch: master
Review: https://review.openstack.org/258441
Reason: This patch is very stale. I am abandoning it to keep the review queue sane.

Matt Riedemann (mriedem) on 2016-07-03
Changed in nova:
assignee: Marian Horban (mhorban) → nobody
Changed in oslo.service:
assignee: Marian Horban (mhorban) → nobody
Changed in nova:
assignee: nobody → Xuanzhou Perry Dong (oss-xzdong)
Changed in nova:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers